#
# **********************************************************************************************************************
#
#          !!
#        .F88X
#        X8888Y
#      .}888888N;
#        i888888N;        .:!              .I$WI:
#          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
#          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
#            +888888N;  .8888888Y                                  "&&8Y.}8,
#            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
#              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
#              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
#            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
#            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
#          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
#        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
#      .:R888888I
#      .&888888I                                          Copyright (c) 2009-2020.  \u535A\u9510\u5C1A\u683C\u79D1\u6280\u80A1\u4EFD\u6709\u9650\u516C\u53F8
#        ~8888'
#        .!88~                                                                     All rights reserved.
#
# **********************************************************************************************************************
#

PERSAGY_URL = http://www.persagy.cn
PERSAGY_KOTLIN_VERSION = 1.4.115
PERSAGY_SERVICE_VERSION = 1.4.157

MAVEN_REPO_PUBLIC_URL = http://dev.dp.sagacloud.cn:8082/repository/maven-public/
MAVEN_REPO_RELEASE_URL = http://dev.dp.sagacloud.cn:8082/repository/maven-releases/
MAVEN_REPO_SNAPSHOT_URL = http://dev.dp.sagacloud.cn:8082/repository/maven-snapshots/
NEXUS_USERNAME = saga
NEXUS_PASSWORD = saga

LICENSE_NAME = The Apache Software License, Version 2.0
LICENSE_URL = http://www.apache.org/licenses/LICENSE-2.0.txt

DEVELOPER_ID = Andy.Sybotan
DEVELOPER_NAME = Andy

JVM_TARGET = 1.8
JDK_VERSION = 8

# https://mvnrepository.com/artifact/org.postgresql/postgresql
POSTGRESQL_VERSION=42.2.5
## https://mvnrepository.com/artifact/com.aliyun.oss/aliyun-sdk-oss
#ALIYUN_OSS_VERSION=3.3.0
# https://mvnrepository.com/artifact/org.apache.commons/commons-lang3
COMMONS_LANG_VERSION=3.8
# https://mvnrepository.com/artifact/org.jetbrains.dokka/dokka-gradle-plugin
DOKKA_VERSION=0.9.16
# https://mvnrepository.com/artifact/com.alibaba/druid
DRUID_VERSION=1.1.10
# https://mvnrepository.com/artifact/com.android.tools.build/gradle
GRADLE_VERSION=3.3.2
# https://mvnrepository.com/artifact/org.jline/jline
JLINE_VERSION=3.9.0
# https://mvnrepository.com/artifact/org.junit.jupiter/junit-jupiter-api
JUNIT_VERSION=4.3.1

# https://mvnrepository.com/artifact/org.mybatis.spring.boot/mybatis-spring-boot-starter
MYBATIS_VERSION=1.3.2
# https://mvnrepository.com/artifact/mysql/mysql-connector-java
MYSQL_VERSION=8.0.12
# https://mvnrepository.com/artifact/javax.persistence/persistence-api
PERSISTENCE_VERSION=1.0.2
# https://mvnrepository.com/artifact/org.apache.poi/poi-ooxml
POI_VERSION=4.0.1
# https://mvnrepository.com/artifact/org.slf4j/slf4j-api
SLF4J_VERSION=1.7.25
## https://mvnrepository.com/artifact/org.springframework.boot/spring-boot-starter-web
#SPRING_BOOT_VERSION=2.1.3.RELEASE
## https://mvnrepository.com/artifact/org.springframework.cloud/spring-cloud-starter-eureka-server
#SPRING_CLOUD_VERSION=1.4.6.RELEASE
## https://mvnrepository.com/artifact/org.springframework.cloud/spring-cloud-starter-config
#SPRING_CLOUD_CONFIG_VERSION=2.0.2.RELEASE
# https://mvnrepository.com/artifact/io.springfox/springfox-swagger-ui
SWAGGER_VERSION=2.9.2
# https://mvnrepository.com/artifact/org.hibernate.validator/hibernate-validator
VALIDATOR_VERSION=6.0.13.Final
## https://mvnrepository.com/artifact/com.google.zxing/core
#ZXING_VERSION=3.3.0
## https://repo.spring.io/milestone
#SPRING_CLOUD_DEPENDENCIES=Finchley.RELEASE
## https://mvnrepository.com/artifact/org.testng/testng
#TESTNG_VERSION=6.14.3
## https://mvnrepository.com/artifact/com.google.protobuf/protobuf-lite
#PROTOBUF_VERSION = 3.7.0
##/ https://mvnrepository.com/artifact/com.google.protobuf/protobuf-gradle-plugin
#PROTOBUF_GRADLE_VERSION = 0.8.8
## https://mvnrepository.com/artifact/io.netty/netty-all
#NETTY_VERSION = 4.1.33.Final
# https://mvnrepository.com/artifact/com.google.zxing/core
ZXING_VERSION = 3.3.1
# https://mvnrepository.com/artifact/com.aliyun.oss/aliyun-sdk-oss
ALIYUN_OSS_VERSION=3.8.0
# https://mvnrepository.com/artifact/org.jetbrains.kotlin/kotlin-stdlib-jdk8
KOTLIN_VERSION = 1.3.61
# https://mvnrepository.com/artifact/io.netty/netty-all
NETTY_VERSION = 4.1.44.Final
# https://mvnrepository.com/artifact/com.google.protobuf/protobuf-lite
PROTOBUF_VERSION = 3.11.1
# https://mvnrepository.com/artifact/com.google.protobuf/protobuf-gradle-plugin
PROTOBUF_GRADLE_VERSION = 0.8.10
# https://mvnrepository.com/artifact/org.springframework.boot/spring-boot-starter-web
SPRING_BOOT_VERSION = 2.2.2.RELEASE
# https://mvnrepository.com/artifact/org.springframework.cloud/spring-cloud-starter-eureka-server
SPRING_CLOUD_VERSION = 1.4.7.RELEASE
# https://mvnrepository.com/artifact/org.springframework.cloud/spring-cloud-starter-config
SPRING_CLOUD_CONFIG_VERSION = 2.2.0.RELEASE
# https://repo.spring.io/milestone
SPRING_CLOUD_DEPENDENCIES = Hoxton.RELEASE
# https://mvnrepository.com/artifact/org.springframework.kafka/spring-kafka
SPRING_KAFKA_VERSION = 2.4.0.RELEASE

# https://mvnrepository.com/artifact/com.alibaba/druid-spring-boot-starter
SPRING_DRUID_VERSION = 1.1.21
#  https://mvnrepository.com/artifact/com.github.xiaoymin/swagger-bootstrap-ui
SWAGGER_BOOTSTRAP_VERSION = 1.9.6
# https://mvnrepository.com/artifact/org.testng/testng
TESTNG_VERSION = 7.1.0

LOMBOK_VERSION = 1.16.16

# https://mvnrepository.com/artifact/org.springdoc/springdoc-openapi-ui
SPRING_DOC_VERSION = 1.4.8



